Bug 3323 - Assertion when deleting global namespace inside method
Summary: Assertion when deleting global namespace inside method
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: C# Binding (show other bugs)
Version: 2.9.x
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2012-02-09 12:55 UTC by Eric Maupin
Modified: 2012-02-10 05:10 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Sample project producing the error (9.12 KB, application/octet-stream)
2012-02-09 12:55 UTC, Eric Maupin
Details

Description Eric Maupin 2012-02-09 12:55:58 UTC
Created attachment 1334 [details]
Sample project producing the error

---------------------------
Assertion Failed: Abort=Quit, Retry=Debug, Ignore=Continue
---------------------------

    at ResolveVisitor.StoreResult(AstNode node, ResolveResult result)  

    at ResolveVisitor.ICSharpCode.NRefactory.CSharp.IAstVisitor<System.Object,ICSharpCode.NRefactory.Semantics.ResolveResult>.VisitMemberType(MemberType memberType, Object data)  

    at MemberType.AcceptVisitor(IAstVisitor`2 visitor, T data)  

    at ResolveVisitor.Resolve(AstNode node)  

    at <>c__DisplayClass1.<GetResolveResult>b__0()  

    at ResolveVisitor.ResetContext(CSharpResolver storedContext, Action action)  

    at ResolveVisitor.GetResolveResult(AstNode node)  

    at CSharpAstResolver.Resolve(AstNode node, CancellationToken cancellationToken)  

    at CSharpChunkParser.GetSemanticStyle(ParsedDocument parsedDocument, Chunk chunk, Int32& endOffset)  

    at CSharpChunkParser.AddRealChunk(Chunk chunk)  

    at ChunkParser.AddChunk(Chunk& curChunk, Int32 length, String style)  

    at ChunkParser.ParseChar(Int32& i, Char ch)  

    at CharParser.Invoke(Int32& i, Char ch)  

    at SpanParser.ParseSpans(Int32 offset, Int32 length)  

    at ChunkParser.GetChunks(Int32 offset, Int32 length)  

    at SyntaxMode.GetChunks(Document doc, ColorSheme style, LineSegment line, Int32 offset, Int32 length)  

    at TextViewMargin.GetCachedChunks(SyntaxMode mode, Document doc, ColorSheme style, LineSegment line, Int32 offset, Int32 length)  

    at TextViewMargin.ColumnToX(LineSegment line, Int32 column)  

    at TextViewMargin.LocationToPoint(DocumentLocation loc, Boolean useAbsoluteCoordinates)  

    at SourceEditorView.DocumentToScreenLocation(DocumentLocation location)  

    at SourceEditorView.CreateCodeCompletionContext(Int32 triggerOffset)  

    at SourceEditorView.get_CurrentCodeCompletionContext()  

    at CompletionTextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at CSharpCompletionTextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at TextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at TextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at TextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at TextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at TextEditorExtension.KeyPress(Key key, Char keyChar, ModifierType modifier)  

    at ExtensibleTextEditor.ExtensionKeyPress(Key key, UInt32 ch, ModifierType state)  

    at ExtensibleTextEditor.OnIMProcessedKeyPressEvent(Key key, UInt32 ch, ModifierType state)  

    at TextEditor.OnKeyPressEvent(EventKey evt)  

    at ExtensibleTextEditor.OnKeyPressEvent(EventKey evnt)  

    at Widget.keypressevent_cb(IntPtr widget, IntPtr evnt)  

    at Widget.gtksharp_widget_base_key_press_event(IntPtr widget, IntPtr evnt)  

    at Widget.OnKeyPressEvent(EventKey evnt)  

    at DefaultWorkbench.OnKeyPressEvent(EventKey evnt)  

    at Widget.keypressevent_cb(IntPtr widget, IntPtr evnt)  

    at Application.gtk_main()  

    at Application.Run()  

    at IdeApp.Run()  

    at IdeStartup.Run(MonoDevelopOptions options)  

    at IdeStartup.Main(String[] args)  

    at MonoDevelopMain.Main(String[] args)  


---------------------------
Abort   Retry   Ignore   
---------------------------
Comment 1 Mike Krüger 2012-02-10 05:10:11 UTC
fixed.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.